Ubuntu14.04下使用umbrello做成的UML在Ubuntu16.04下无法打开

系统安装、升级讨论
版面规则
我们都知道新人的确很菜,也喜欢抱怨,并且带有浓厚的Windows习惯,但既然在这里询问,我们就应该有责任帮助他们解决问题,而不是直接泼冷水、简单的否定或发表对解决问题没有任何帮助的帖子。乐于分享,以人为本,这正是Ubuntu的精神所在。
回复
scoket
帖子: 5
注册时间: 2018-12-25 18:31
系统: 14.04
送出感谢: 0
接收感谢: 0

Ubuntu14.04下使用umbrello做成的UML在Ubuntu16.04下无法打开

#1

帖子 scoket » 2019-01-18 22:02

使用umbrello在Ubuntu14.04下画UML图,保存为[xxx.xmi],但是在Ubuntu16.04无法打开出现以下错误。
Load error
The file <xxxxxxxxx.xmi> does not exist.

下载 [umbrello_4.14.2-1_amd64.deb] 从下面这个网址
http://ftp.de.debian.org/debian/pool/main/u/umbrello/

发生以下这些错误:
dpkg: dependency problems prevent configuration of umbrello:
umbrello depends on kde-runtime (>> 4:4.10); however:
Package kde-runtime is not installed.
umbrello depends on libkdecore5 (>= 4:4.11); however:
Package libkdecore5 is not installed.
umbrello depends on libkdeui5 (>= 4:4.11); however:
Package libkdeui5 is not installed.
umbrello depends on libkfile4 (>= 4:4.11); however:
Package libkfile4 is not installed.
umbrello depends on libkio5 (>= 4:4.11); however:
Package libkio5 is not installed.
umbrello depends on libktexteditor4 (>= 4:4.11); however:
Package libktexteditor4 is not installed.

如何解决这个问题 [The file <xxxxxxxxx.xmi> does not exist.]
头像
astolia
论坛版主
帖子: 5303
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 896 次

Re: Ubuntu14.04下使用umbrello做成的UML在Ubuntu16.04下无法打开

#2

帖子 astolia » 2019-01-19 19:16

1. 不要直接安装debian源里的软件。去把已安装的卸载了重装
2. 你把那个文件保存到哪里了?具体路径是什么?
scoket
帖子: 5
注册时间: 2018-12-25 18:31
系统: 14.04
送出感谢: 0
接收感谢: 0

Re: Ubuntu14.04下使用umbrello做成的UML在Ubuntu16.04下无法打开

#3

帖子 scoket » 2019-01-21 9:09

好的,谢谢,试一下。
你是说下载的deb文件吗?要是的话,放到一个自定义的路径里面
/home/user/Project/SoftWare里面,这个有关系吗?必须放到usr/bin下还是....
scoket
帖子: 5
注册时间: 2018-12-25 18:31
系统: 14.04
送出感谢: 0
接收感谢: 0

Re: Ubuntu14.04下使用umbrello做成的UML在Ubuntu16.04下无法打开

#4

帖子 scoket » 2019-01-22 15:03

卸载后再安装还是一样的效果,还有别的需要注意的问题吗?
回复